<template>
  <div class="preview-page">
    <editor-preview :pageId="pageId"></editor-preview>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from 'vue';
import { useRoute } from 'vue-router';

export default defineComponent({
  name: 'Page',
  components: {},
  setup() {
    const route = useRoute();

    const pageId = ref((route.meta.pageId as string) || '');
    return { pageId };
  },
});
</script>
